Bug 95935 - searching text in revers
Summary: searching text in revers
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: general (show other bugs)
Version: 2.3
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-28 18:50 UTC by patrick serru
Modified: 2005-01-12 13:41 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description patrick serru 2004-12-28 18:50:49 UTC
Version:           2.3 (using KDE 3.3.0, SuSE)
Compiler:          gcc version 3.3.4 (pre 3.3.5 20040809)
OS:                Linux (i686) release 2.6.8-24.5-smp

Hard to explain, the best is to experience. Trying to find "back" (revers searching : shift+F3) from bottom the string "<br>" in a text containing "<br><br><br><br>"... It finds the last occurrence then the previous then stop searching back but goes forward then find the last string again, and so on...  Of course, it works well in case of such a text : "<br> <br> <br> <br>"
Comment 1 Anders Lund 2005-01-11 22:49:36 UTC
I can't confirm that exact behavior using cvs HEAD.
For me, searching backward refuses to find a string ending at the very last character of the file, otherwise it works as expected. Oddly, when using find from the command line it allways works.
I'll look into that at least.
Comment 2 Dominik Haumann 2005-01-11 23:14:27 UTC
Afaik: that was fixed by cullmann at akademy...
Comment 3 Anders Lund 2005-01-12 13:41:00 UTC
*** Bug has been marked as fixed ***.